<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE log4j:configuration PUBLIC "-//Apache Software Foundation//DTD log4j Configuration 1.0//EN" "log4j.dtd">
<log4j:configuration threshold="all" debug="false">
  
  <appender name="console.appender" class="org.apache.log4j.ConsoleAppender">
    <layout class="org.apache.log4j.PatternLayout">
      <param name="ConversionPattern" value="%-5p %X{user} %X{ip} [%c] %d{dd-MM-yyyy HH:mm:ss} : %m%n"/>
    </layout>
  </appender>
  
  <appender name="file.appender" class="org.apache.log4j.RollingFileAppender"> 
    <param name="File" value="${catalina.base}/logs/${webApp.name}.log"/>
  <!--  <param name="File" value="${webApp.home}/log.txt"/-->
    <param name="Append" value="true"/>
    <param name="MaxFileSize" value="500KB"/>
    <param name="MaxBackupIndex" value="1"/>
    <layout class="org.apache.log4j.PatternLayout">
      <param name="ConversionPattern" value="%-5p %X{user} %X{ip} [%c] %d{dd-MM-yyyy HH:mm:ss} : %m%n"/>
    </layout>
  </appender> 
  
  <!--logger name="org.apache">
    <level value="warn"/>
  </logger>

  <logger name="fr.gouv.finances.cp.xemelios.data">
      <level value="info"/>
  </logger>
  <logger name="fr.gouv.finances.dgfip.xemelios.data.utils.jdbc">
      <level value="error"/>
  </logger-->

  <root>
    <level value="debug"/>
    <appender-ref ref="console.appender"/>
    <!--appender-ref ref="file.appender"/-->
  </root>
  
</log4j:configuration>